Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.optionable
Class FileSaveableOptions

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.optionable.SaveableOptions
            |
            +--uk.ac.man.bioinf.apps.optionable.FileSaveableOptions

All Implemented Interfaces:
  EventListener, OptionHandler, SystemListener

public class FileSaveableOptions
extends SaveableOptions

FileSaveableOptions.java Provides Saveable Option support with files. Created: Tue Feb 02 16:40:27 1999

Version:
  $Id: FileSaveableOptions.java,v 1.16 2001/05/14 17:08:18 lord Exp $
Author:
  Phillip Lord

Field Summary

Fields inherited from interface uk.ac.man.bioinf.apps.systemevents.SystemListener
`NO_VETO, VETO_DUE_TO_ERROR, VETO_DUE_TO_USER_REQUEST`

Constructor Summary
`FileSaveableOptions(File configFile, SystemEventProducer producer, OptionableExceptionHandler exHandler)`

Method Summary
`InputStream` | `getLoadStream()`
`OutputStream` | `getSaveStream()` These were originally going to be abstract but you cant make abstract static methods.

Methods inherited from class uk.ac.man.bioinf.apps.optionable.SaveableOptions
`addOptionable, getExceptionHandler, loadOptions, removeOptionable, requestOptionUpdate, systemEventOccured, systemListenerPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSaveableOptions

    public FileSaveableOptions(File configFile,
                               SystemEventProducer producer,
                               OptionableExceptionHandler exHandler)

Method Detail

### getSaveStream

    public OutputStream getSaveStream()
                               throws IOException

  These were originally going to be abstract but you cant make abstract static methods. I guess its no big thing as thing is pretty much a one off class anyway.

  Specified by:
    `getSaveStream` in class `SaveableOptions`
    `IOException`

### getLoadStream

    public InputStream getLoadStream()
                              throws IOException

  Specified by:
    `getLoadStream` in class `SaveableOptions`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD